# Couenne::CouenneMINLPInterface Class Reference

This is class provides an Osi interface for a Mixed Integer Linear Program expressed as a TMINLP (so that we can use it for example as the continuous solver in Cbc). More...

`#include <CouenneMINLPInterface.hpp>`

List of all members.

## Public Member Functions
void | setObj (int index, expression *newObj)
| REMOVE --- backward compatibility sets objective[index] at newObj.
void | setInitSol (const CouNumber *sol)
| sets the initial solution for the NLP solver
CouNumber | solve (CouNumber *solution)
| solves and returns the optimal objective function and the solution
CouenneProblem * | problem () const
| return pointer to Couenne problem
Ipopt::OptionsList * | options () const
| return pointer to options
## Private Member Functions
virtual std::string | appName ()
| Virtual callback for application specific stuff.
## Private Attributes
CouenneProblem * | problem_
| Symbolic representation of the problem.
Ipopt::OptionsList * | options_
| Options.

## Detailed Description

This is class provides an Osi interface for a Mixed Integer Linear Program expressed as a TMINLP (so that we can use it for example as the continuous solver in Cbc).

Definition at line 59 of file CouenneMINLPInterface.hpp.

## Member Function Documentation

void Couenne::CouenneMINLPInterface::setObj | ( | int | index,
|  | expression * | newObj |
| ) |  |  | `[inline]`

REMOVE --- backward compatibility sets objective[index] at newObj.

Definition at line 65 of file CouenneMINLPInterface.hpp.

void Couenne::CouenneMINLPInterface::setInitSol | ( | const CouNumber * | sol | ) |

sets the initial solution for the NLP solver

CouNumber Couenne::CouenneMINLPInterface::solve | ( | CouNumber * | solution | ) |

solves and returns the optimal objective function and the solution

CouenneProblem* Couenne::CouenneMINLPInterface::problem | ( |  | ) | const`[inline]`

return pointer to Couenne problem

Definition at line 75 of file CouenneMINLPInterface.hpp.

References problem_.

Ipopt::OptionsList* Couenne::CouenneMINLPInterface::options | ( |  | ) | const`[inline]`

return pointer to options

Definition at line 79 of file CouenneMINLPInterface.hpp.

References options_.

virtual std::string Couenne::CouenneMINLPInterface::appName | ( |  | ) | `[inline, private, virtual]`

Virtual callback for application specific stuff.

Definition at line 91 of file CouenneMINLPInterface.hpp.

## Member Data Documentation

CouenneProblem* Couenne::CouenneMINLPInterface::problem_`[private]`

Symbolic representation of the problem.

Definition at line 85 of file CouenneMINLPInterface.hpp.

Referenced by problem().

Ipopt::OptionsList* Couenne::CouenneMINLPInterface::options_`[private]`

Options.

Definition at line 88 of file CouenneMINLPInterface.hpp.

Referenced by options().

The documentation for this class was generated from the following file:

- CouenneMINLPInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines